Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.api
Interface ECReportGroup

public interface ECReportGroup

This interface defines the methods for the ECReportGroup. The ECReportGroup represents one group within the ECReport. The interface includes accessors for the groupName, groupList, and groupCount. The groupName is null for the default group. GroupList and groupCount are null if the includeList and includeCount fields, respectively, or the corresponding ECReportOutputSpec are false.

Method Summary
`int` | `getGroupCount()` Return the count of EPCS in the group.
`java.util.List` | `getGroupList()` Return the list of EPCs in the group.
`java.lang.String` | `getGroupName()` Return the group name, null if this is the default group
`boolean` | `hasCount()` Returns true if the ECReportGroup contains a count of EPCs
`boolean` | `hasList()` Returns true if the ECReportGroup contains a list of EPCs

Method Detail

### getGroupName

    public java.lang.String getGroupName()

  Return the group name, null if this is the default group

  Returns:
    Name of the ECReportGroup

### getGroupCount

    public int getGroupCount()

  Return the count of EPCS in the group. Returns 0 if the includeCount field of the corresponding ECReportOutputSpec is false.

  Returns:
    Count of EPCs in this group

### getGroupList

    public java.util.List getGroupList()

  Return the list of EPCs in the group. Returns null if the includeList field of the corresponding ECReportOutputSpec is false.

  Returns:
    List of ECReportGroupListMember contained by this this group

### hasList

    public boolean hasList()

  Returns true if the ECReportGroup contains a list of EPCs

### hasCount

    public boolean hasCount()

  Returns true if the ECReportGroup contains a count of EPCs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD